Summary: An MPEG video format encoder and decoder.
Name: MPEG
Version: 1.2.2
Release: 10
Copyright: public domain
Group: Applications/Multimedia
Source0: ftp://havefun.stanford.edu/pub/mpeg/MPEGv1.2.2.tar.bz2 
Source1: makempeg
Source2: bike.mpg.bz2
Source3: flowg.mpg.bz2
Source4: tennis.mpg.bz2
Source5: us.mpg.bz2
Patch0: MPEG-patch
URL: ftp://havefun.stanford.edu/pub/mpeg
BuildRoot: /var/tmp/mpeg-root


%description
The MPEG package contains a public domain video encoder and decoder 
developed in accordance with the MPEG (Moving Picture Experts Group)
standard.  The MPEG standard applies to a family of higher quality
digital video compression standards and file formats.  This MPEG codec
is capable of encoding all MPEG frame types. This tool should be able
to encode and decode streams for most MPEG players.

MPEG uses algorithms for rate control, buffer-constrained encoding, and
quantization decisions similar, but not identical, to those used in the
simulation model 1-3 MPEG document.  The rate control used is a simple
proportional Q-stepsize/Buffer loop that works, but doesn't work very
well (higher quality rate-control essential for good quality
buffer-constrained MPEG encoding).  Verification of the buffering is
possible to provide streams for real-time decoders.

%prep
%setup -q -n mpegdir
%patch0 -p1 -b .mike

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin  
mkdir -p $RPM_BUILD_ROOT/usr/share/mpeg  
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1 

install -m 755 -s mpeg $RPM_BUILD_ROOT/usr/bin
install -m 755 $RPM_SOURCE_DIR/makempeg $RPM_BUILD_ROOT/usr/bin
bzip2 -dk %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} || :
install -m 755 $RPM_SOURCE_DIR/*.mpg $RPM_BUILD_ROOT/usr/share/mpeg/
install -m 644 mpeg.1 $RPM_BUILD_ROOT/usr/share/man/man1
rm -f $RPM_SOURCE_DIR/*.mpg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root) 
%doc CHANGES PORTABILITY README SETUP
/usr/bin/mpeg
/usr/bin/makempeg
/usr/share/mpeg
/usr/share/man/*/*

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Tim Powers <timp@redhat.com>
- fixed install routine

* Tue May 23 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0
- man pages in /usr/share/man

* Wed Jan 19 2000 Tim Powers <timp@redhat.com>
- bzipped source and mpg files to conserve space

* Tue Dec 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Wed Jul 28 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Mon Apr 05 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- added patch for C++.

* Tue Aug 11 1998 Michael Maher <mike@redhat.com>
- built package  
